#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const index_1 = require("./index");
const path = __importStar(require("path"));
commander_1.program
    .name('css-to-variable')
    .description('将CSS/SCSS文件中的指定属性值提取为全局CSS变量')
    .requiredOption('-d, --directory <path>', '要扫描的目录路径')
    .requiredOption('-p, --properties <items>', '要提取的CSS属性列表，用逗号分隔')
    .option('--prefix <string>', '变量名前缀', 'var')
    .option('--output <filename>', '输出的变量文件名', 'variables.css')
    .option('--pattern <pattern>', '文件匹配模式', '**/*.{css,scss}')
    .parse();
const options = commander_1.program.opts();
const cssToVariable = new index_1.CssToVariable({
    directory: path.resolve(options.directory),
    properties: options.properties.split(','),
    prefix: options.prefix,
    outputFile: options.output,
    pattern: options.pattern
});
cssToVariable.extract()
    .then(() => {
    console.log('✨ CSS变量提取完成！');
})
    .catch((error) => {
    console.error('❌ 发生错误：', error);
    process.exit(1);
});
